Index: cpukit/score/include/rtems/score/coremsg.h
===================================================================
--- cpukit/score/include/rtems/score/coremsg.h	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/include/rtems/score/coremsg.h	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -258,6 +258,13 @@
 /**
  *  @brief Initialize a Message Queue
- *
- *  This routine initializes @a the_message_queue based on the parameters passed.
+ * 
+ *  DESCRIPTION:
+ *
+ *  This package is the implementation of the CORE Message Queue Handler.
+ *  This core object provides task synchronization and communication functions
+ *  via messages passed to queue objects.
+ *
+ *  This routine initializes @a the_message_queue 
+ *      based on the parameters passed.
  *
  *  @param[in] the_message_queue points to the message queue to initialize
Index: cpukit/score/include/rtems/score/coresem.h
===================================================================
--- cpukit/score/include/rtems/score/coresem.h	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/include/rtems/score/coresem.h	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -128,4 +128,12 @@
 
 /**
+ *  @brief Core Semaphore Initialize
+ * 
+ *  DESCRIPTION:
+ *
+ *  This package is the implementation of the CORE Semaphore Handler.
+ *  This core object utilizes standard Dijkstra counting semaphores to provide
+ *  synchronization and mutual exclusion capabilities.
+ * 
  *  This routine initializes the semaphore based on the parameters passed.
  *
Index: cpukit/score/include/rtems/score/object.h
===================================================================
--- cpukit/score/include/rtems/score/object.h	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/include/rtems/score/object.h	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -698,4 +698,6 @@
 
 /**
+ *  @brief  Get No protection Object
+ * 
  *  This function maps object ids to object control blocks.
  *  If id corresponds to a local object, then it returns
Index: cpukit/score/include/rtems/score/schedulerpriority.h
===================================================================
--- cpukit/score/include/rtems/score/schedulerpriority.h	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/include/rtems/score/schedulerpriority.h	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -122,4 +122,6 @@
 
 /**
+ *  @brief Scheduler Priority Unblock
+ * 
  *  This routine adds @a the_thread to the scheduling decision,
  *  that is, adds it to the ready queue and
Index: cpukit/score/include/rtems/score/schedulersimple.h
===================================================================
--- cpukit/score/include/rtems/score/schedulersimple.h	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/include/rtems/score/schedulersimple.h	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -120,4 +120,6 @@
 
 /**
+ *  @brief Scheduler simple Enqueue first
+ *  
  *  This routine puts @a the_thread to the head of the ready queue.
  *  The thread will be the first thread at its priority level.
Index: cpukit/score/include/rtems/score/thread.h
===================================================================
--- cpukit/score/include/rtems/score/thread.h	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/include/rtems/score/thread.h	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -709,4 +709,6 @@
 
 /**
+ *  @brief Set Thread Priority
+ *  
  *  This routine updates the priority related fields in the_thread
  *  control block to indicate the current priority is now new_priority.
Index: cpukit/score/include/rtems/score/threadq.h
===================================================================
--- cpukit/score/include/rtems/score/threadq.h	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/include/rtems/score/threadq.h	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -110,4 +110,7 @@
  *  its new priority.  This method has no impact on the state of the_thread
  *  or of any timeouts associated with this blocking.
+ * 
+ *  @param[in] the_thread_queue pointer to a threadq header
+ *  @param[in] the_thread pointer to a thread control block
  */
 void _Thread_queue_Requeue(
@@ -255,4 +258,11 @@
  *  the_thread_queue with an optional timeout using the
  *  FIFO discipline.
+ * 
+ *    @param[in] the_thread_queue pointer to threadq
+ *    @param[in] the_thread pointer to the thread to block
+ *    @param[in] level_p interrupt level in case the operation blocks actually
+ * 
+ *  - INTERRUPT LATENCY:
+ *    + single case
  */
 Thread_blocking_operation_States _Thread_queue_Enqueue_fifo (
Index: cpukit/score/src/coremsg.c
===================================================================
--- cpukit/score/src/coremsg.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/coremsg.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,11 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Initialize a Message Queue
+ *  @ingroup ScoreMessageQueue
+ */
+
 /*
- *  CORE Message Queue Handler
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the CORE Message Queue Handler.
- *  This core object provides task synchronization and communication functions
- *  via messages passed to queue objects.
- *
  *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
@@ -49,22 +48,4 @@
   return true;
 }
-
-/*
- *  _CORE_message_queue_Initialize
- *
- *  This routine initializes a newly created message queue based on the
- *  specified data.
- *
- *  Input parameters:
- *    the_message_queue            - the message queue to initialize
- *    the_class                    - the API specific object class
- *    the_message_queue_attributes - the message queue's attributes
- *    maximum_pending_messages     - maximum message and reserved buffer count
- *    maximum_message_size         - maximum size of each message
- *
- *  Output parameters:
- *    true   - if the message queue is initialized
- *    false  - if the message queue is NOT initialized
- */
 
 bool _CORE_message_queue_Initialize(
Index: cpukit/score/src/coresem.c
===================================================================
--- cpukit/score/src/coresem.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/coresem.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,11 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Core Semaphore Initialize
+ *  @ingroup ScoreSemaphore
+ */
+
 /*
- *  CORE Semaphore Handler
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the CORE Semaphore Handler.
- *  This core object utilizes standard Dijkstra counting semaphores to provide
- *  synchronization and mutual exclusion capabilities.
- *
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -27,18 +26,4 @@
 #include <rtems/score/threadq.h>
 
-/*
- *  CORE_semaphore_Initialize
- *
- *  This function initialize a semaphore and sets the initial value based
- *  on the given count.
- *
- *  Input parameters:
- *    the_semaphore            - the semaphore control block to initialize
- *    the_semaphore_attributes - the attributes specified at create time
- *    initial_value            - semaphore's initial value
- *
- *  Output parameters:  NONE
- */
-
 void _CORE_semaphore_Initialize(
   CORE_semaphore_Control       *the_semaphore,
Index: cpukit/score/src/coretodget.c
===================================================================
--- cpukit/score/src/coretodget.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/coretodget.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,5 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Returns a Current TOD with Nanosecond Granularity
+ *  @ingroup ScoreTODConstants
+ */
+
 /*
- *  Time of Day (TOD) Handler - get TOD
- *
  *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/score/src/coretodtickspersec.c
===================================================================
--- cpukit/score/src/coretodtickspersec.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/coretodtickspersec.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Convert Ticks To Seconds
+ *  @ingroup ScoreTODConstants
+ */
+
 /*  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/score/src/objectgetnoprotection.c
===================================================================
--- cpukit/score/src/objectgetnoprotection.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/objectgetnoprotection.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief  Get Object without Dispatching Protection
+ *  @ingroup ScoreObject
+ */
+
 /*
- *  Object Handler -- Object Get
- *
- *
  *  COPYRIGHT (c) 1989-2002.
  *  On-Line Applications Research Corporation (OAR).
@@ -26,23 +30,4 @@
 #include <rtems/score/sysstate.h>
 #include <rtems/score/isr.h>
-
-/*
- * _Objects_Get_no_protection
- *
- * This routine sets the object pointer for the given
- * object id based on the given object information structure.
- *
- * Input parameters:
- *   information - pointer to entry in table for this class
- *   id          - object id to search for
- *   location    - address of where to store the location
- *
- * Output parameters:
- *   returns  - address of object if local
- *   location - one of the following:
- *                  OBJECTS_ERROR  - invalid object ID
- *                  OBJECTS_REMOTE - remote object
- *                  OBJECTS_LOCAL  - local object
- */
 
 Objects_Control *_Objects_Get_no_protection(
Index: cpukit/score/src/schedulercbscleanup.c
===================================================================
--- cpukit/score/src/schedulercbscleanup.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulercbscleanup.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler CBS Cleanup
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/schedulercbscreateserver.c
===================================================================
--- cpukit/score/src/schedulercbscreateserver.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulercbscreateserver.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler CBS Create Server
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/schedulercbsgetapprovedbudget.c
===================================================================
--- cpukit/score/src/schedulercbsgetapprovedbudget.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulercbsgetapprovedbudget.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler CBS Get Approved Budget
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/schedulercbsgetremainingbudget.c
===================================================================
--- cpukit/score/src/schedulercbsgetremainingbudget.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulercbsgetremainingbudget.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler CBS Get Remaining Budget
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/schedulerpriorityprioritycompare.c
===================================================================
--- cpukit/score/src/schedulerpriorityprioritycompare.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulerpriorityprioritycompare.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler Priority Compare Two Priorities
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  COPYRIGHT (c) 2011.
Index: cpukit/score/src/schedulerpriorityreleasejob.c
===================================================================
--- cpukit/score/src/schedulerpriorityreleasejob.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulerpriorityreleasejob.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler Priority Release Job
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/schedulerpriorityunblock.c
===================================================================
--- cpukit/score/src/schedulerpriorityunblock.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulerpriorityunblock.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler Priority Unblock
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Scheduler Handler
Index: cpukit/score/src/schedulersimpleenqueuefirst.c
===================================================================
--- cpukit/score/src/schedulersimpleenqueuefirst.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/schedulersimpleenqueuefirst.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,5 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler Simple Enqueue First
+ *  @ingroup ScoreScheduler
+ */
+
 /*
- *  Schedule Simple Handler / Enqueue First
- *
  *  COPYRIGHT (c) 2011.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/score/src/smplock.c
===================================================================
--- cpukit/score/src/smplock.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/smplock.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief SMP Locking Support
+ *  @ingroup RTEMS
+ */
+
 /*
  *  COPYRIGHT (c) 1989-2011.
@@ -68,7 +75,4 @@
 #endif
 
-/*
- * SMP spinlock simple methods
- */
 void _SMP_lock_spinlock_simple_Initialize(
   SMP_lock_spinlock_simple_Control *lock
@@ -106,7 +110,4 @@
 }
 
-/*
- * SMP spinlock nested methods.
- */
 void _SMP_lock_spinlock_nested_Initialize(
   SMP_lock_spinlock_nested_Control *lock
Index: cpukit/score/src/threadqenqueuefifo.c
===================================================================
--- cpukit/score/src/threadqenqueuefifo.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/threadqenqueuefifo.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief  Thread queue Enqueue FIFO
+ *  @ingroup ScoreThreadQ
+ */
+
 /*
- *  Thread Queue Handler
- *
- *
  *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
@@ -23,19 +27,4 @@
 #include <rtems/score/threadq.h>
 #include <rtems/score/tqdata.h>
-
-/*
- *  _Thread_queue_Enqueue_fifo
- *
- *  This routine places a blocked thread on a FIFO thread queue.
- *
- *  Input parameters:
- *    the_thread_queue - pointer to threadq
- *    the_thread       - pointer to the thread to block
- *
- *  Output parameters: NONE
- *
- *  INTERRUPT LATENCY:
- *    only case
- */
 
 Thread_blocking_operation_States _Thread_queue_Enqueue_fifo (
Index: cpukit/score/src/threadqrequeue.c
===================================================================
--- cpukit/score/src/threadqrequeue.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/threadqrequeue.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Thread Queue Requeue
+ *  @ingroup ScoreThreadQ
+ */
+
 /*
- *  Thread Queue Handler
- *
- *
  *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
@@ -23,19 +27,4 @@
 #include <rtems/score/threadq.h>
 #include <rtems/score/tqdata.h>
-
-/*
- *  _Thread_queue_Requeue
- *
- *  This routine is invoked when a thread changes priority and should be
- *  moved to a different position on the thread queue.
- *
- *  Input parameters:
- *    the_thread_queue - pointer to a threadq header
- *    the_thread       - pointer to a thread control block
- *
- *  Output parameters: NONE
- *
- *  INTERRUPT LATENCY: NONE
- */
 
 void _Thread_queue_Requeue(
Index: cpukit/score/src/threadsetpriority.c
===================================================================
--- cpukit/score/src/threadsetpriority.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/threadsetpriority.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,5 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Set Thread Priority
+ *  @ingroup ScoreThread
+ */
+
 /*
- *  Thread Handler / Thread Set Priority
- *
  *  COPYRIGHT (c) 1989-2011.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/score/src/ts64dividebyinteger.c
===================================================================
--- cpukit/score/src/ts64dividebyinteger.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/ts64dividebyinteger.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,5 +1,8 @@
 /**
- * @file score/src/ts64dividebyinteger.c
-*/
+ *  @file
+ *
+ *  @brief Divide Timestamp By Integer
+ *  @ingroup SuperCore
+ */
 
 /*
Index: cpukit/score/src/watchdogadjust.c
===================================================================
--- cpukit/score/src/watchdogadjust.c	(revision d4d7899bb2730dc77331db202a2473818a7ea351)
+++ cpukit/score/src/watchdogadjust.c	(revision 355ee7dbd52a1ea5fd7d8b32d31aeccd58ccb8c4)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Watchdog Adjust
+ *  @ingroup ScoreWatchdog
+ */
+
 /*
- *  Watchdog Handler
- *
- *
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -18,18 +22,4 @@
 #include <rtems/score/isr.h>
 #include <rtems/score/watchdog.h>
-
-/*
- *  _Watchdog_Adjust
- *
- *  This routine adjusts the delta chain backward or forward in response
- *  to a time change.
- *
- *  Input parameters:
- *    header    - pointer to the delta chain to be adjusted
- *    direction - forward or backward adjustment to delta chain
- *    units     - units to adjust
- *
- *  Output parameters:
- */
 
 void _Watchdog_Adjust(