Index: c/src/lib/libcpu/arm/at91rm9200/irq/bsp_irq_asm.S
===================================================================
--- c/src/lib/libcpu/arm/at91rm9200/irq/bsp_irq_asm.S	(revision 9832a22c98cad311776cced432ae0649e8e6cefb)
+++ c/src/lib/libcpu/arm/at91rm9200/irq/bsp_irq_asm.S	(revision 359e5374164ccb2a66833354b412a859c144ea2f)
@@ -3,5 +3,5 @@
  *
  * Copyright (c) 2004 by Jay Monkman <jtm@lopgindog.com>
- *      
+ *
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
@@ -13,5 +13,5 @@
  */
 #define __asm__
-        
+
         .globl bsp_interrupt_dispatch
 bsp_interrupt_dispatch :
@@ -22,5 +22,5 @@
  */
         ldr     r0, =0xFFFFF100   /* AIC_CTL_BASE + AIC_IVR */
-        ldr     r1, [r0]                
+        ldr     r1, [r0]
         str     r1, [r0]          /* write back in case we are using protect */
 
@@ -36,5 +36,5 @@
         ldr   r2, =0xFFFFF130     /* AIC_CTL_BASE + AIC_EIOCR */
         str   r1, [r2]
-       
+
         ldmia sp!,{lr}
 
Index: c/src/lib/libcpu/arm/at91rm9200/irq/bsp_irq_init.c
===================================================================
--- c/src/lib/libcpu/arm/at91rm9200/irq/bsp_irq_init.c	(revision 9832a22c98cad311776cced432ae0649e8e6cefb)
+++ c/src/lib/libcpu/arm/at91rm9200/irq/bsp_irq_init.c	(revision 359e5374164ccb2a66833354b412a859c144ea2f)
@@ -3,5 +3,5 @@
  *
  * Copyright (c) 2004 by Jay Monkman <jtm@lopingdog.com>
- *      
+ *
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
@@ -18,6 +18,6 @@
 extern void default_int_handler(void);
 
-/* 
- * Interrupt system initialization. Disable interrupts, clear 
+/*
+ * Interrupt system initialization. Disable interrupts, clear
  * any that are pending.
  */
Index: c/src/lib/libcpu/arm/at91rm9200/irq/irq.c
===================================================================
--- c/src/lib/libcpu/arm/at91rm9200/irq/irq.c	(revision 9832a22c98cad311776cced432ae0649e8e6cefb)
+++ c/src/lib/libcpu/arm/at91rm9200/irq/irq.c	(revision 359e5374164ccb2a66833354b412a859c144ea2f)
@@ -3,5 +3,5 @@
  *
  * Copyright (c) 2004 by Jay Monkman <jtm@lopingdog.com>
- *      
+ *
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
@@ -35,31 +35,31 @@
 {
     rtems_interrupt_level level;
-    
+
     if (!isValidInterrupt(irq->name)) {
         return 0;
     }
-    
+
     /*
-     * Check if default handler is actually connected. If not, issue 
-     * an error. Note: irq->name is a number corresponding to the 
-     * sources PID (see the at91rm9200_pid for this mapping).  We 
-     * convert it to a long word offset to get source's vector register 
+     * Check if default handler is actually connected. If not, issue
+     * an error. Note: irq->name is a number corresponding to the
+     * sources PID (see the at91rm9200_pid for this mapping).  We
+     * convert it to a long word offset to get source's vector register
      */
     if (AIC_SVR_REG(irq->name * 4) != (uint32_t) default_int_handler) {
         return 0;
     }
-    
+
     rtems_interrupt_disable(level);
-    
+
     /*
      * store the new handler
      */
     AIC_SVR_REG(irq->name * 4) = (uint32_t) irq->hdl;
-    
+
     /*
      * unmask interrupt
      */
     AIC_CTL_REG(AIC_IECR) = 1 << irq->name;
-    
+
     /*
      * Enable interrupt on device
@@ -68,11 +68,11 @@
         irq->on(irq);
     }
-    
+
     rtems_interrupt_enable(level);
-    
+
     return 1;
 }
 
-/* 
+/*
  * Remove and interrupt handler
  */
@@ -80,5 +80,5 @@
 {
     rtems_interrupt_level level;
-  
+
     if (!isValidInterrupt(irq->name)) {
         return 0;
@@ -97,5 +97,5 @@
      */
     AIC_CTL_REG(AIC_IDCR) = 1 << irq->name;
-    
+
     /*
      * Disable interrupt on device
@@ -109,5 +109,5 @@
      */
     AIC_SVR_REG(irq->name * 4) = (uint32_t) default_int_handler;
-    
+
     rtems_interrupt_enable(level);
 
Index: c/src/lib/libcpu/arm/at91rm9200/irq/irq.h
===================================================================
--- c/src/lib/libcpu/arm/at91rm9200/irq/irq.h	(revision 9832a22c98cad311776cced432ae0649e8e6cefb)
+++ c/src/lib/libcpu/arm/at91rm9200/irq/irq.h	(revision 359e5374164ccb2a66833354b412a859c144ea2f)
@@ -3,5 +3,5 @@
  *
  * Copyright (c) 2004 by Jay Monkman <jtm@lopingdog.com>
- *      
+ *
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
@@ -25,5 +25,5 @@
  * Include some preprocessor value also used by assember code
  */
-  
+
 #include <rtems.h>
 #include <at91rm9200.h>
@@ -36,5 +36,5 @@
 #define AT91RM9200_INT_FIQ        0
 #define AT91RM9200_INT_SYSIRQ     1
-#define AT91RM9200_INT_PIOA       2 
+#define AT91RM9200_INT_PIOA       2
 #define AT91RM9200_INT_PIOB       3
 #define AT91RM9200_INT_PIOC       4
@@ -72,5 +72,5 @@
 /* a vector table */
 #define VECTOR_TABLE AIC_SVR_BASE
-                                                                                           
+
 typedef unsigned char  rtems_irq_level;
 typedef unsigned char  rtems_irq_trigger;
@@ -118,5 +118,5 @@
 
 /*
- * function to get the current RTEMS irq handler for ptr->name. 
+ * function to get the current RTEMS irq handler for ptr->name.
  */
 int BSP_get_current_rtems_irq_handler   (rtems_irq_connect_data* ptr);