Index: c/src/optman/rtems/no-barrier.c
===================================================================
--- c/src/optman/rtems/no-barrier.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-barrier.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -18,5 +18,5 @@
 #include <rtems/rtems/barrier.h>
 
-void _Barrier_Manager_initialization(uint32_t   maximum_barriers)
+void _Barrier_Manager_initialization(void)
 {
 }
Index: c/src/optman/rtems/no-dpmem.c
===================================================================
--- c/src/optman/rtems/no-dpmem.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-dpmem.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -22,5 +22,5 @@
 #include <rtems/rtems/dpmem.h>
 
-void _Dual_ported_memory_Manager_initialization(uint32_t   maximum_ports)
+void _Dual_ported_memory_Manager_initialization(void)
 {
 }
Index: c/src/optman/rtems/no-msg.c
===================================================================
--- c/src/optman/rtems/no-msg.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-msg.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -26,5 +26,5 @@
 #include <rtems/score/interr.h>
 
-void _Message_queue_Manager_initialization(uint32_t   maximum_message_queues)
+void _Message_queue_Manager_initialization(void)
 {
 }
Index: c/src/optman/rtems/no-part.c
===================================================================
--- c/src/optman/rtems/no-part.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-part.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -21,5 +21,5 @@
 #include <rtems/score/interr.h>
 
-void _Partition_Manager_initialization(uint32_t   maximum_partitions)
+void _Partition_Manager_initialization(void)
 {
 }
Index: c/src/optman/rtems/no-region.c
===================================================================
--- c/src/optman/rtems/no-region.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-region.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -22,5 +22,5 @@
 #include <rtems/score/interr.h>
 
-void _Region_Manager_initialization(uint32_t   maximum_regions)
+void _Region_Manager_initialization(void)
 {
 }
Index: c/src/optman/rtems/no-rtmon.c
===================================================================
--- c/src/optman/rtems/no-rtmon.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-rtmon.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -23,5 +23,5 @@
 #include <rtems/rtems/ratemon.h>
 
-void _Rate_monotonic_Manager_initialization(uint32_t   maximum_periods)
+void _Rate_monotonic_Manager_initialization(void)
 {
 }
Index: c/src/optman/rtems/no-sem.c
===================================================================
--- c/src/optman/rtems/no-sem.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-sem.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -25,5 +25,5 @@
 #include <rtems/score/interr.h>
 
-void _Semaphore_Manager_initialization(uint32_t   maximum_semaphores)
+void _Semaphore_Manager_initialization(void)
 {
 }
Index: c/src/optman/rtems/no-timer.c
===================================================================
--- c/src/optman/rtems/no-timer.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/rtems/no-timer.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -24,5 +24,5 @@
 #include <rtems/rtems/timer.h>
 
-void _Timer_Manager_initialization(uint32_t   maximum_timers)
+void _Timer_Manager_initialization(void)
 {
 }
Index: c/src/optman/sapi/no-ext.c
===================================================================
--- c/src/optman/sapi/no-ext.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/sapi/no-ext.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -21,5 +21,5 @@
 #include <rtems/score/interr.h>
 
-void _Extension_Manager_initialization(uint32_t   maximum_extensions)
+void _Extension_Manager_initialization(void)
 {
 }
Index: c/src/optman/sapi/no-io.c
===================================================================
--- c/src/optman/sapi/no-io.c	(revision ab92255414c3c947ee550f826153d776a248b4b3)
+++ c/src/optman/sapi/no-io.c	(revision 367ea7f380d3af7610285daefadf7d8b147ded2d)
@@ -20,12 +20,9 @@
 #include <rtems/score/interr.h>
 
-void _IO_Manager_initialization(
-  rtems_driver_address_table *driver_table,
-  uint32_t                    drivers_in_table,
-  uint32_t                    number_of_drivers )
+void _IO_Manager_initialization(void)
 {
 }
 
-void _IO_Initialize_all_drivers( void )
+void _IO_Initialize_all_drivers(void)
 {
 }