Index: c/src/lib/libbsp/arm/edb7312/irq/irq.c
===================================================================
--- c/src/lib/libbsp/arm/edb7312/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libbsp/arm/edb7312/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -173,5 +173,5 @@
   int_stat = *EP7312_INTSR3;
 
-  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, arm_exc_interrupt, NULL);
+  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt, NULL);
 
   return RTEMS_SUCCESSFUL;
Index: c/src/lib/libbsp/arm/gba/start/start.S
===================================================================
--- c/src/lib/libbsp/arm/gba/start/start.S	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libbsp/arm/gba/start/start.S	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -163,5 +163,5 @@
     PUBLIC_ARM_FUNCTION(_gba_ISR_handler)
         ldmfd  r13!,{r0-r3,r12,r14}
-        b      arm_exc_interrupt
+        b      _ARMV4_Exception_interrupt
     LABEL_END(_gba_ISR_handler)
 
Index: c/src/lib/libbsp/arm/lpc24xx/irq/irq.c
===================================================================
--- c/src/lib/libbsp/arm/lpc24xx/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libbsp/arm/lpc24xx/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -115,5 +115,5 @@
 
   /* Install the IRQ exception handler */
-  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, arm_exc_interrupt, NULL);
+  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt, NULL);
 
   return RTEMS_SUCCESSFUL;
Index: c/src/lib/libbsp/arm/lpc32xx/irq/irq.c
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libbsp/arm/lpc32xx/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -344,5 +344,5 @@
   lpc32xx.sic_2.atr = 0x0;
 
-  lpc32xx_set_exception_handler(ARM_EXCEPTION_IRQ, arm_exc_interrupt);
+  lpc32xx_set_exception_handler(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt);
 
   return RTEMS_SUCCESSFUL;
Index: c/src/lib/libcpu/arm/at91rm9200/irq/irq.c
===================================================================
--- c/src/lib/libcpu/arm/at91rm9200/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libcpu/arm/at91rm9200/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -53,5 +53,5 @@
   AIC_CTL_REG(AIC_IDCR) = 0xffffffff;
 
-  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, arm_exc_interrupt, NULL);
+  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt, NULL);
 
   return RTEMS_SUCCESSFUL;
Index: c/src/lib/libcpu/arm/lpc22xx/irq/irq.c
===================================================================
--- c/src/lib/libcpu/arm/lpc22xx/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libcpu/arm/lpc22xx/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -67,5 +67,5 @@
 
   /* Install the IRQ exception handler */
-  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, arm_exc_interrupt, NULL);
+  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt, NULL);
 
   return RTEMS_SUCCESSFUL;
Index: c/src/lib/libcpu/arm/mc9328mxl/irq/irq.c
===================================================================
--- c/src/lib/libcpu/arm/mc9328mxl/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libcpu/arm/mc9328mxl/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -39,5 +39,5 @@
 {
 
-  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, arm_exc_interrupt, NULL);
+  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt, NULL);
 
   return RTEMS_SUCCESSFUL;
Index: c/src/lib/libcpu/arm/pxa255/irq/irq.c
===================================================================
--- c/src/lib/libcpu/arm/pxa255/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libcpu/arm/pxa255/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -48,5 +48,5 @@
 
   /* Install the IRQ exception handler */
-  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, arm_exc_interrupt, NULL);
+  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt, NULL);
 
   return RTEMS_SUCCESSFUL;
Index: c/src/lib/libcpu/arm/s3c24xx/irq/irq.c
===================================================================
--- c/src/lib/libcpu/arm/s3c24xx/irq/irq.c	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ c/src/lib/libcpu/arm/s3c24xx/irq/irq.c	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -40,5 +40,5 @@
 rtems_status_code bsp_interrupt_facility_initialize(void)
 {
-  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, arm_exc_interrupt, NULL);
+  _CPU_ISR_install_vector(ARM_EXCEPTION_IRQ, _ARMV4_Exception_interrupt, NULL);
 
   return RTEMS_SUCCESSFUL;
Index: cpukit/score/cpu/arm/arm_exc_interrupt.S
===================================================================
--- cpukit/score/cpu/arm/arm_exc_interrupt.S	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ cpukit/score/cpu/arm/arm_exc_interrupt.S	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -51,6 +51,6 @@
 
 .arm
-.globl arm_exc_interrupt
-arm_exc_interrupt:
+.globl _ARMV4_Exception_interrupt
+_ARMV4_Exception_interrupt:
 
 	/* Save exchange registers to exchange area */
Index: cpukit/score/cpu/arm/rtems/score/armv4.h
===================================================================
--- cpukit/score/cpu/arm/rtems/score/armv4.h	(revision 9b2e714322d80583c4b1d482503457db733f00c5)
+++ cpukit/score/cpu/arm/rtems/score/armv4.h	(revision 370c2c8021c19b73a75736ea6d06a7d69f86200f)
@@ -26,5 +26,5 @@
 void bsp_interrupt_dispatch( void );
 
-void arm_exc_interrupt( void );
+void _ARMV4_Exception_interrupt( void );
 
 #endif /* ARM_MULTILIB_ARCH_V4 */