Index: c/src/exec/libfs/src/imfs/imfs_handlers_link.c
===================================================================
--- c/src/exec/libfs/src/imfs/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
+++ c/src/exec/libfs/src/imfs/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
@@ -0,0 +1,38 @@
+/*
+ *  Link Operations Table for the IMFS
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <errno.h>
+
+#include "imfs.h"
+
+/*
+ *  Handler table for IMFS device nodes
+ */
+
+rtems_filesystem_file_handlers_r IMFS_link_handlers = {
+  NULL,   /* open */
+  NULL,   /* close */
+  NULL,   /* read */
+  NULL,   /* write */
+  NULL,   /* ioctl */
+  NULL,   /* lseek */
+  NULL,   /* stat */
+  NULL,   /* fchmod */
+  NULL,   /* ftruncate */
+  NULL,   /* fpathconf */
+  NULL,   /* fsync */
+  NULL,   /* fdatasync */
+  NULL,   /* fcntl */
+  IMFS_rmnod
+};
Index: c/src/lib/libc/imfs_handlers_link.c
===================================================================
--- c/src/lib/libc/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
+++ c/src/lib/libc/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
@@ -0,0 +1,38 @@
+/*
+ *  Link Operations Table for the IMFS
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <errno.h>
+
+#include "imfs.h"
+
+/*
+ *  Handler table for IMFS device nodes
+ */
+
+rtems_filesystem_file_handlers_r IMFS_link_handlers = {
+  NULL,   /* open */
+  NULL,   /* close */
+  NULL,   /* read */
+  NULL,   /* write */
+  NULL,   /* ioctl */
+  NULL,   /* lseek */
+  NULL,   /* stat */
+  NULL,   /* fchmod */
+  NULL,   /* ftruncate */
+  NULL,   /* fpathconf */
+  NULL,   /* fsync */
+  NULL,   /* fdatasync */
+  NULL,   /* fcntl */
+  IMFS_rmnod
+};
Index: c/src/libfs/src/imfs/imfs_handlers_link.c
===================================================================
--- c/src/libfs/src/imfs/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
+++ c/src/libfs/src/imfs/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
@@ -0,0 +1,38 @@
+/*
+ *  Link Operations Table for the IMFS
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <errno.h>
+
+#include "imfs.h"
+
+/*
+ *  Handler table for IMFS device nodes
+ */
+
+rtems_filesystem_file_handlers_r IMFS_link_handlers = {
+  NULL,   /* open */
+  NULL,   /* close */
+  NULL,   /* read */
+  NULL,   /* write */
+  NULL,   /* ioctl */
+  NULL,   /* lseek */
+  NULL,   /* stat */
+  NULL,   /* fchmod */
+  NULL,   /* ftruncate */
+  NULL,   /* fpathconf */
+  NULL,   /* fsync */
+  NULL,   /* fdatasync */
+  NULL,   /* fcntl */
+  IMFS_rmnod
+};
Index: cpukit/libfs/src/imfs/imfs_handlers_link.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
+++ cpukit/libfs/src/imfs/imfs_handlers_link.c	(revision 378fe02519f5c083a0a4311fa896063cf85db741)
@@ -0,0 +1,38 @@
+/*
+ *  Link Operations Table for the IMFS
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <errno.h>
+
+#include "imfs.h"
+
+/*
+ *  Handler table for IMFS device nodes
+ */
+
+rtems_filesystem_file_handlers_r IMFS_link_handlers = {
+  NULL,   /* open */
+  NULL,   /* close */
+  NULL,   /* read */
+  NULL,   /* write */
+  NULL,   /* ioctl */
+  NULL,   /* lseek */
+  NULL,   /* stat */
+  NULL,   /* fchmod */
+  NULL,   /* ftruncate */
+  NULL,   /* fpathconf */
+  NULL,   /* fsync */
+  NULL,   /* fdatasync */
+  NULL,   /* fcntl */
+  IMFS_rmnod
+};