Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/ChangeLog	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -1,2 +1,22 @@
+2009-11-09	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* sp32/Makefile.am, sp33/Makefile.am, sp37/Makefile.am,
+	sp38/Makefile.am, sp39/Makefile.am, sp43/Makefile.am,
+	sp44/Makefile.am, spfatal01/Makefile.am, spfatal02/Makefile.am,
+	spfatal03/Makefile.am, spfatal04/Makefile.am, spfatal05/Makefile.am,
+	spfatal06/Makefile.am, spfatal07/Makefile.am, spfatal08/Makefile.am,
+	spfatal09/Makefile.am, spobjgetnext/Makefile.am,
+	spprintk/Makefile.am, spsize/Makefile.am, spwatchdog/Makefile.am,
+	spwkspace/Makefile.am: Add documentation files for multiple tests.
+	* sp32/sp32.doc, sp33/sp33.doc, sp37/sp37.doc, sp38/sp38.doc,
+	sp39/sp39.doc, sp43/sp43.doc, sp44/sp44.doc, spfatal01/spfatal01.doc,
+	spfatal02/spfatal02.doc, spfatal03/spfatal03.doc,
+	spfatal04/spfatal04.doc, spfatal05/spfatal05.doc,
+	spfatal06/spfatal06.doc, spfatal07/spfatal07.doc,
+	spfatal08/spfatal08.doc, spfatal09/spfatal09.doc,
+	spobjgetnext/spobjgetnext.doc, spprintk/spprintk.doc,
+	spsize/spsize.doc, spwatchdog/spwatchdog.doc,
+	spwkspace/spwkspace.doc: New files.
+
 2009-10-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: testsuites/sptests/sp32/Makefile.am
===================================================================
--- testsuites/sptests/sp32/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/sp32/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = sp32.scn
+dist_rtems_tests_DATA += sp32.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/sp33/Makefile.am
===================================================================
--- testsuites/sptests/sp33/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/sp33/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -10,4 +10,5 @@
 scndir = $(rtems_testsdir)
 dist_scn_DATA = sp33.scn
+dist_scn_DATA += sp33.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/sp37/Makefile.am
===================================================================
--- testsuites/sptests/sp37/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/sp37/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = sp37.scn
+dist_rtems_tests_DATA += sp37.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/sp38/Makefile.am
===================================================================
--- testsuites/sptests/sp38/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/sp38/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = sp38.scn
+dist_rtems_tests_DATA += sp38.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/sp39/Makefile.am
===================================================================
--- testsuites/sptests/sp39/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/sp39/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = sp39.scn
+dist_rtems_tests_DATA += sp39.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/sp43/Makefile.am
===================================================================
--- testsuites/sptests/sp43/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/sp43/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = sp43.scn
+dist_rtems_tests_DATA += sp43.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/sp44/Makefile.am
===================================================================
--- testsuites/sptests/sp44/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/sp44/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = sp44.scn
+dist_rtems_tests_DATA += sp44.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal01/Makefile.am
===================================================================
--- testsuites/sptests/spfatal01/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal01/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal01.scn
+dist_rtems_tests_DATA += spfatal01.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal02/Makefile.am
===================================================================
--- testsuites/sptests/spfatal02/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal02/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal02.scn
+dist_rtems_tests_DATA += spfatal02.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal03/Makefile.am
===================================================================
--- testsuites/sptests/spfatal03/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal03/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -7,5 +7,7 @@
 rtems_tests_PROGRAMS = spfatal03
 spfatal03_SOURCES = ../spfatal_support/init.c ../spfatal_support/system.h testcase.h
+
 dist_rtems_tests_DATA = spfatal03.scn
+dist_rtems_tests_DATA += spfatal03.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal04/Makefile.am
===================================================================
--- testsuites/sptests/spfatal04/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal04/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal04.scn
+dist_rtems_tests_DATA += spfatal04.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal05/Makefile.am
===================================================================
--- testsuites/sptests/spfatal05/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal05/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal05.scn
+dist_rtems_tests_DATA += spfatal05.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal06/Makefile.am
===================================================================
--- testsuites/sptests/spfatal06/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal06/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal06.scn
+dist_rtems_tests_DATA += spfatal06.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal07/Makefile.am
===================================================================
--- testsuites/sptests/spfatal07/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal07/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal07.scn
+dist_rtems_tests_DATA += spfatal07.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal08/Makefile.am
===================================================================
--- testsuites/sptests/spfatal08/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal08/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal08.scn
+dist_rtems_tests_DATA += spfatal08.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spfatal09/Makefile.am
===================================================================
--- testsuites/sptests/spfatal09/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spfatal09/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spfatal09.scn
+dist_rtems_tests_DATA += spfatal09.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spobjgetnext/Makefile.am
===================================================================
--- testsuites/sptests/spobjgetnext/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spobjgetnext/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spobjgetnext.scn
+dist_rtems_tests_DATA += spobjgetnext.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spprintk/Makefile.am
===================================================================
--- testsuites/sptests/spprintk/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spprintk/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spprintk.scn
+dist_rtems_tests_DATA += spprintk.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spsize/Makefile.am
===================================================================
--- testsuites/sptests/spsize/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spsize/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spsize.scn
+dist_rtems_tests_DATA += spsize.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spwatchdog/Makefile.am
===================================================================
--- testsuites/sptests/spwatchdog/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spwatchdog/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spwatchdog.scn
+dist_rtems_tests_DATA += spwatchdog.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/sptests/spwkspace/Makefile.am
===================================================================
--- testsuites/sptests/spwkspace/Makefile.am	(revision 517655cde4ac91e32055db467c500d8f840ec7d3)
+++ testsuites/sptests/spwkspace/Makefile.am	(revision 380c61ac673ba181ab90034684cc963441784c82)
@@ -9,4 +9,5 @@
 
 dist_rtems_tests_DATA = spwkspace.scn
+dist_rtems_tests_DATA += spwkspace.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg