Index: testsuites/libtests/POSIX/close.c
===================================================================
--- testsuites/libtests/POSIX/close.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/close.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -16,6 +16,4 @@
 main (void)
 {
-  close (42);
-
-  return 0;
+  return close(42);
 }
Index: testsuites/libtests/POSIX/dup2.c
===================================================================
--- testsuites/libtests/POSIX/dup2.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/dup2.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -19,6 +19,4 @@
   int newfd = 43;
 
-  dup2 (oldfd, newfd);
-
-  return 0;
+  return dup2 (oldfd, newfd);
 }
Index: testsuites/libtests/POSIX/fcntl.c
===================================================================
--- testsuites/libtests/POSIX/fcntl.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/fcntl.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -14,10 +14,13 @@
 #include <fcntl.h>
 
-int
-main (void)
+int main (void)
 {
-  fcntl (42, 43);
-  fcntl (42, 43, 44);
+  int rc;
 
-  return 0;
+  rc = fcntl (42, 43);
+  (void) rc;
+ 
+  rc = fcntl (42, 43, 44);
+
+  return rc;
 }
Index: testsuites/libtests/POSIX/flockfile.c
===================================================================
--- testsuites/libtests/POSIX/flockfile.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/flockfile.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -16,4 +16,5 @@
 {
   FILE *file = NULL;
+
   flockfile(file);
   return 0;
Index: testsuites/libtests/POSIX/fork.c
===================================================================
--- testsuites/libtests/POSIX/fork.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/fork.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -16,6 +16,8 @@
 main (void)
 {
-  fork ();
+  int rc;
 
-  return 0;
+  rc = fork();
+
+  return rc;
 }
Index: testsuites/libtests/POSIX/free.c
===================================================================
--- testsuites/libtests/POSIX/free.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/free.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,8 +13,7 @@
 #include <stdlib.h>
 
-int
-main (void)
+int main (void)
 {
-  free ((void *) 42);
+  free((void *) 42);
 
   return 0;
Index: testsuites/libtests/POSIX/fstat.c
===================================================================
--- testsuites/libtests/POSIX/fstat.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/fstat.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -15,11 +15,12 @@
 #include <unistd.h>
 
-int
-main (void)
+int main (void)
 {
   struct stat buf;
   int fd = 42;
-  fstat (fd, &buf);
+  int rc;
 
-  return 0;
+  rc = fstat(fd, &buf);
+
+  return rc;
 }
Index: testsuites/libtests/POSIX/ftrylockfile.c
===================================================================
--- testsuites/libtests/POSIX/ftrylockfile.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/ftrylockfile.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -16,5 +16,7 @@
 {
   FILE *file = NULL;
-  int ret = ftrylockfile(file);
+  int ret;
+
+  ret = ftrylockfile(file);
   return ret;
 }
Index: testsuites/libtests/POSIX/funlockfile.c
===================================================================
--- testsuites/libtests/POSIX/funlockfile.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/funlockfile.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -16,4 +16,5 @@
 {
   FILE *file = NULL;
+
   funlockfile(file);
   return 0;
Index: testsuites/libtests/POSIX/getdents.c
===================================================================
--- testsuites/libtests/POSIX/getdents.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/getdents.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,10 +13,10 @@
 #include <dirent.h>
 
-int
-main (void)
+int main(void)
 {
   int status;
   int fd = 42;
 
-  status = getdents (fd, "/tmp/foo", 0);
+  status = getdents(fd, "/tmp/foo", 0);
+  return status;
 }
Index: testsuites/libtests/POSIX/getlogin.c
===================================================================
--- testsuites/libtests/POSIX/getlogin.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/getlogin.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,9 +13,10 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   char *login;
+
   login = getlogin ();
+  (void) login;
 
   return 0;
Index: testsuites/libtests/POSIX/getpwnam.c
===================================================================
--- testsuites/libtests/POSIX/getpwnam.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/getpwnam.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -14,10 +14,10 @@
 #include <pwd.h>
 
-int
-main (void)
+int main(void)
 {
   struct passwd *pass;
-  pass = getpwnam ("root");
 
-  return 0;
+  pass = getpwnam("root");
+
+  return (pass != NULL);
 }
Index: testsuites/libtests/POSIX/getpwuid.c
===================================================================
--- testsuites/libtests/POSIX/getpwuid.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/getpwuid.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -14,6 +14,5 @@
 #include <pwd.h>
 
-int
-main (void)
+int main(void)
 {
   struct passwd *pass;
Index: testsuites/libtests/POSIX/gettimeofday.c
===================================================================
--- testsuites/libtests/POSIX/gettimeofday.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/gettimeofday.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <sys/time.h>
 
-int
-main (void)
+int main(void)
 {
   struct timeval tv;
Index: testsuites/libtests/POSIX/getuid.c
===================================================================
--- testsuites/libtests/POSIX/getuid.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/getuid.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -14,10 +14,9 @@
 #include <sys/types.h>
 
-int
-main (void)
+int main(void)
 {
   uid_t uid;
-  uid = getuid ();
+  uid = getuid();
 
-  return 0;
+  return (uid != 0);
 }
Index: testsuites/libtests/POSIX/htonl.c
===================================================================
--- testsuites/libtests/POSIX/htonl.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/htonl.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <arpa/inet.h>
 
-int
-main (void)
+int main(void)
 {
   uint32_t u32;
@@ -20,8 +19,12 @@
 
   u32 = htonl(0x12345678);
+  (void) u32;
   u16 = htons(0x1234);
+  (void) u16;
 
   u32 = ntohl(0x12345678);
+  (void) u32;
   u16 = ntohs(0x1234);
+  (void) u16;
   
   return 0;
Index: testsuites/libtests/POSIX/iconv.c
===================================================================
--- testsuites/libtests/POSIX/iconv.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/iconv.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <iconv.h>
 
-int
-main (void)
+int main(void)
 {
   iconv_t cd = NULL;
@@ -27,4 +26,4 @@
   ret = iconv(cd, &i, &isize, &o, &osize);
 
-  return 0;
+  return ret;
 }
Index: testsuites/libtests/POSIX/iconv_close.c
===================================================================
--- testsuites/libtests/POSIX/iconv_close.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/iconv_close.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <iconv.h>
 
-int
-main (void)
+int main(void)
 {
   iconv_t cd = NULL;
@@ -21,4 +20,4 @@
   ret = iconv_close(cd);
 
-  return 0;
+  return ret;
 }
Index: testsuites/libtests/POSIX/iconv_open.c
===================================================================
--- testsuites/libtests/POSIX/iconv_open.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/iconv_open.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <iconv.h>
 
-int
-main (void)
+int main(void)
 {
   iconv_t ret;
@@ -20,4 +19,4 @@
   ret = iconv_open("utf8", "ascii" );
 
-  return 0;
+  return (ret == 0);
 }
Index: testsuites/libtests/POSIX/issetugid.c
===================================================================
--- testsuites/libtests/POSIX/issetugid.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/issetugid.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,10 +13,9 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   int status;
-  status = issetugid ();
+  status = issetugid();
 
-  return 0;
+  return status;
 }
Index: testsuites/libtests/POSIX/kill.c
===================================================================
--- testsuites/libtests/POSIX/kill.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/kill.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,13 +13,17 @@
 #include <signal.h>
 
-int
-main (void)
+int main(void)
 {
   pid_t pid = 0;
+  int rc;
 
-  kill (pid, SIGHUP);
-  kill (pid, SIGKILL);
-  kill (pid, SIGTERM);
+  rc = kill(pid, SIGHUP);
+  (void) rc;
 
-  return 0;
+  rc = kill(pid, SIGKILL);
+  (void) rc;
+
+  rc = kill(pid, SIGTERM);
+
+  return rc;
 }
Index: testsuites/libtests/POSIX/longjmp.c
===================================================================
--- testsuites/libtests/POSIX/longjmp.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/longjmp.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,9 +13,8 @@
 #include <setjmp.h>
 
-int
-main (void)
+int main(void)
 {
   jmp_buf buf;
-  longjmp (buf, 0);
+  longjmp(buf, 0);
   return 0;
 }
Index: testsuites/libtests/POSIX/lseek.c
===================================================================
--- testsuites/libtests/POSIX/lseek.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/lseek.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -14,13 +14,17 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   off_t res;
   int fd = 42;
 
-  res = lseek (fd, 0, SEEK_SET);
-  res = lseek (fd, 1, SEEK_CUR);
-  res = lseek (fd, 2, SEEK_END);
+  res = lseek(fd, 0, SEEK_SET);
+  (void) res;
+
+  res = lseek(fd, 1, SEEK_CUR);
+  (void) res;
+
+  res = lseek(fd, 2, SEEK_END);
+  (void) res;
 
   return 0;
Index: testsuites/libtests/POSIX/lstat.c
===================================================================
--- testsuites/libtests/POSIX/lstat.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/lstat.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -15,12 +15,11 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   struct stat buf;
   int status;
 
-  status = lstat ("/tmp/foo", &buf);
+  status = lstat("/tmp/foo", &buf);
 
-  return 0;
+  return status;
 }
Index: testsuites/libtests/POSIX/malloc.c
===================================================================
--- testsuites/libtests/POSIX/malloc.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/malloc.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,8 +13,7 @@
 #include <stdlib.h>
 
-int
-main (void)
+int main(void)
 {
-  void *ptr = malloc (42);
+  void *ptr = malloc(42);
 
   return (ptr != NULL);
Index: testsuites/libtests/POSIX/nanosleep.c
===================================================================
--- testsuites/libtests/POSIX/nanosleep.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/nanosleep.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <time.h>
 
-int
-main (void)
+int main(void)
 {
   struct timespec req = { 0, 42 };
@@ -20,6 +19,6 @@
   int status;
 
-  status = nanosleep (&req, &rem);
+  status = nanosleep(&req, &rem);
 
-  return 0;
+  return status;
 }
Index: testsuites/libtests/POSIX/open.c
===================================================================
--- testsuites/libtests/POSIX/open.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/open.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -15,13 +15,12 @@
 #include <fcntl.h>
 
-int
-main (void)
+int main(void)
 {
   int fd1;
   int fd2;
 
-  fd1 = open ("/tmp/foo1", O_RDWR | O_APPEND);
-  fd2 = open ("/tmp/foo2", O_CREAT, S_IWUSR);
+  fd1 = open("/tmp/foo1", O_RDWR | O_APPEND);
+  fd2 = open("/tmp/foo2", O_CREAT, S_IWUSR);
 
-  return 0;
+  return (fd1 != fd2);
 }
Index: testsuites/libtests/POSIX/pipe.c
===================================================================
--- testsuites/libtests/POSIX/pipe.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/pipe.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,12 +13,11 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   int filedes[2];
   int status;
 
-  status = pipe (filedes);
+  status = pipe(filedes);
 
-  return 0;
+  return status;
 }
Index: testsuites/libtests/POSIX/posix_memalign.c
===================================================================
--- testsuites/libtests/POSIX/posix_memalign.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/posix_memalign.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,9 +13,8 @@
 #include <stdlib.h>
 
-int
-main (void)
+int main(void)
 {
   void *a;
-  int ret = posix_memalign (&a, sizeof (void *) * 2, 42);
+  int ret = posix_memalign(&a, sizeof (void *) * 2, 42);
 
   return ret;
Index: testsuites/libtests/POSIX/read.c
===================================================================
--- testsuites/libtests/POSIX/read.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/read.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   int fd = 42;
@@ -20,6 +19,6 @@
   ssize_t len;
 
-  len = read (fd, &buf, 4);
+  len = read(fd, &buf, 4);
 
-  return 0;
+  return (len != 0);
 }
Index: testsuites/libtests/POSIX/readv.c
===================================================================
--- testsuites/libtests/POSIX/readv.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/readv.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <sys/uio.h>
 
-int
-main (void)
+int main(void)
 {
   struct iovec iov;
@@ -20,5 +19,5 @@
   ssize_t ret;
 
-  ret = readv (0, &iov, count);
+  ret = readv(0, &iov, count);
 
   return ret;
Index: testsuites/libtests/POSIX/realloc.c
===================================================================
--- testsuites/libtests/POSIX/realloc.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/realloc.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,9 +13,8 @@
 #include <stdlib.h>
 
-int
-main (void)
+int main(void)
 {
-  realloc (NULL, 42);
+  void *p = realloc(NULL, 42);
 
-  return 0;
+  return (p == NULL);
 }
Index: testsuites/libtests/POSIX/setjmp.c
===================================================================
--- testsuites/libtests/POSIX/setjmp.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/setjmp.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,9 +13,8 @@
 #include <setjmp.h>
 
-int
-main (void)
+int main(void)
 {
   jmp_buf buf;
-  setjmp (buf);
+  setjmp(buf);
   return 0;
 }
Index: testsuites/libtests/POSIX/sigaddset.c
===================================================================
--- testsuites/libtests/POSIX/sigaddset.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/sigaddset.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,10 +13,9 @@
 #include <signal.h>
 
-int
-main (void)
+int main(void)
 {
   sigset_t set;
   int status;
-  status = sigaddset (&set, 21);
+  status = sigaddset(&set, 21);
 
   return status;
Index: testsuites/libtests/POSIX/sigdelset.c
===================================================================
--- testsuites/libtests/POSIX/sigdelset.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/sigdelset.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,10 +13,9 @@
 #include <signal.h>
 
-int
-main (void)
+int main(void)
 {
   sigset_t set;
   int status;
-  status = sigdelset (&set, 21);
+  status = sigdelset(&set, 21);
 
   return status;
Index: testsuites/libtests/POSIX/sigemptyset.c
===================================================================
--- testsuites/libtests/POSIX/sigemptyset.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/sigemptyset.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,9 +13,8 @@
 #include <signal.h>
 
-int
-main (void)
+int main(void)
 {
   sigset_t set;
-  int status = sigemptyset (&set);
+  int status = sigemptyset(&set);
 
   return status;
Index: testsuites/libtests/POSIX/sigfillset.c
===================================================================
--- testsuites/libtests/POSIX/sigfillset.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/sigfillset.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,10 +13,9 @@
 #include <signal.h>
 
-int
-main (void)
+int main(void)
 {
   sigset_t set;
   int status;
-  status = sigfillset (&set);
+  status = sigfillset(&set);
 
   return status;
Index: testsuites/libtests/POSIX/sigismember.c
===================================================================
--- testsuites/libtests/POSIX/sigismember.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/sigismember.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <signal.h>
 
-int
-main (void)
+int main(void)
 {
   sigset_t set;
Index: testsuites/libtests/POSIX/sigprocmask.c
===================================================================
--- testsuites/libtests/POSIX/sigprocmask.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/sigprocmask.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,14 +13,17 @@
 #include <signal.h>
 
-int
-main (void)
+int main(void)
 {
-  int status;
+  int rc;
   sigset_t set1, set2;
 
-  status = sigprocmask (SIG_BLOCK, &set1, &set2);
-  status = sigprocmask (SIG_UNBLOCK, &set1, &set2);
-  status = sigprocmask (SIG_SETMASK, &set1, &set2);
+  rc = sigprocmask(SIG_BLOCK, &set1, &set2);
+  (void) rc;
 
-  return 0;
+  rc = sigprocmask(SIG_UNBLOCK, &set1, &set2);
+  (void) rc;
+
+  rc = sigprocmask(SIG_SETMASK, &set1, &set2);
+
+  return rc;
 }
Index: testsuites/libtests/POSIX/stat.c
===================================================================
--- testsuites/libtests/POSIX/stat.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/stat.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -15,12 +15,11 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   struct stat buf;
   int status;
 
-  status = stat ("/tmp/foo", &buf);
+  status = stat("/tmp/foo", &buf);
 
-  return 0;
+  return status;
 }
Index: testsuites/libtests/POSIX/unlink.c
===================================================================
--- testsuites/libtests/POSIX/unlink.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/unlink.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -17,6 +17,6 @@
 {
   int status;
-  status = unlink ("/tmp/foo");
+  status = unlink("/tmp/foo");
 
-  return 0;
+  return status;
 }
Index: testsuites/libtests/POSIX/vfork.c
===================================================================
--- testsuites/libtests/POSIX/vfork.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/vfork.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -14,10 +14,9 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   pid_t pid;
-  pid = vfork ();
+  pid = vfork();
 
-  return 0;
+  return (pid != 0);
 }
Index: testsuites/libtests/POSIX/wait.c
===================================================================
--- testsuites/libtests/POSIX/wait.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/wait.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -14,6 +14,5 @@
 #include <sys/wait.h>
 
-int
-main (void)
+int main(void)
 {
   int status;
@@ -21,4 +20,4 @@
   pid = wait(&status);
 
-  return 0;
+  return (pid != 0);
 }
Index: testsuites/libtests/POSIX/waitpid.c
===================================================================
--- testsuites/libtests/POSIX/waitpid.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/waitpid.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -15,10 +15,10 @@
 
 int
-main (void)
+main(void)
 {
   int status;
   pid_t pid;
-  pid = waitpid (-1, &status, WNOHANG);
+  pid = waitpid(-1, &status, WNOHANG);
 
-  return 0;
+  return (pid != 0);
 }
Index: testsuites/libtests/POSIX/write.c
===================================================================
--- testsuites/libtests/POSIX/write.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/write.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <unistd.h>
 
-int
-main (void)
+int main(void)
 {
   char string[] = "1234";
@@ -20,6 +19,6 @@
   ssize_t ret;
 
-  ret = write (0, &string, count);
+  ret = write(0, &string, count);
 
-  return 0;
+  return ret;
 }
Index: testsuites/libtests/POSIX/writev.c
===================================================================
--- testsuites/libtests/POSIX/writev.c	(revision fd27bae5b949f1beee2ca2ba4cccecc7e89f40cb)
+++ testsuites/libtests/POSIX/writev.c	(revision 382d6537df61d1783985e395b4418324cad1f324)
@@ -13,6 +13,5 @@
 #include <sys/uio.h>
 
-int
-main (void)
+int main(void)
 {
   struct iovec iov;
@@ -20,5 +19,5 @@
   ssize_t ret;
 
-  ret = writev (0, &iov, count);
+  ret = writev(0, &iov, count);
 
   return ret;