Index: source-builder/sb/build.py
===================================================================
--- source-builder/sb/build.py	(revision c98555c5f27bbb899a71e6286d6f1054459e2913)
+++ source-builder/sb/build.py	(revision 383f7e66906213b4f0cc5bd464789bfff731ffee)
@@ -210,6 +210,31 @@
                 raise error.internal('source macro not found: %s in %s (%s)' % \
                                          (s, name, _map))
-            url = self.config.expand(sm[2])
-            src = download.parse_url(url, '_sourcedir', self.config, self.opts)
+            opts = []
+            url = []
+            for sp in sm[2].split():
+                if len(url) == 0 and sp[0] == '-':
+                    opts += [sp]
+                else:
+                    url += [sp]
+            if len(url) == 0:
+                raise error.general('source URL not found: %s' % (' '.join(args)))
+            #
+            # Look for --rsb-file as an option we use as a local file name.
+            # This can be used if a URL has no reasonable file name the
+            # download URL parser can figure out.
+            #
+            file_override = None
+            if len(opts) > 0:
+                for o in opts:
+                    if o.startswith('--rsb-file'):
+                       os_ = o.split('=')
+                       if len(os_) != 2:
+                           raise error.general('invalid --rsb-file option: %s' % (' '.join(args)))
+                       if os_[0] != '--rsb-file':
+                           raise error.general('invalid --rsb-file option: %s' % (' '.join(args)))
+                       file_override = os_[1]
+                opts = [o for o in opts if not o.startswith('--rsb-')]
+            url = self.config.expand(' '.join(url))
+            src = download.parse_url(url, '_sourcedir', self.config, self.opts, file_override)
             download.get_file(src['url'], src['local'], self.opts, self.config)
             if 'symlink' in src:
@@ -304,4 +329,20 @@
             if len(url) == 0:
                 raise error.general('patch URL not found: %s' % (' '.join(args)))
+            #
+            # Look for --rsb-file as an option we use as a local file name.
+            # This can be used if a URL has no reasonable file name the
+            # download URL parser can figure out.
+            #
+            file_override = None
+            if len(opts) > 0:
+                for o in opts:
+                    if o.startswith('--rsb-file'):
+                       os_ = o.split('=')
+                       if len(os_) != 2:
+                           raise error.general('invalid --rsb-file option: %s' % (' '.join(args)))
+                       if os_[0] != '--rsb-file':
+                           raise error.general('invalid --rsb-file option: %s' % (' '.join(args)))
+                       file_override = os_[1]
+                opts = [o for o in opts if not o.startswith('--rsb-')]
             if len(opts) == 0:
                 opts = default_opts
@@ -313,10 +354,8 @@
             # Parse the URL first in the source builder's patch directory.
             #
-            patch = download.parse_url(url, '_patchdir', self.config, self.opts)
-            #
-            # If not in the source builder package check the source directory.
-            #
-            if not path.exists(patch['local']):
-                patch = download.parse_url(url, '_patchdir', self.config, self.opts)
+            patch = download.parse_url(url, '_patchdir', self.config, self.opts, file_override)
+            #
+            # Download the patch
+            #
             download.get_file(patch['url'], patch['local'], self.opts, self.config)
             if 'compressed' in patch:
Index: source-builder/sb/download.py
===================================================================
--- source-builder/sb/download.py	(revision c98555c5f27bbb899a71e6286d6f1054459e2913)
+++ source-builder/sb/download.py	(revision 383f7e66906213b4f0cc5bd464789bfff731ffee)
@@ -131,10 +131,11 @@
 def _local_path(source, pathkey, config):
     for p in config.define(pathkey).split(':'):
-        local = path.join(path.abspath(p), source['file'])
+        local_prefix = path.abspath(p)
+        local = path.join(local_prefix, source['file'])
         if source['local'] is None:
-            source['local_prefix'] = path.abspath(p)
+            source['local_prefix'] = local_prefix
             source['local'] = local
         if path.exists(local):
-            source['local_prefix'] = path.abspath(p)
+            source['local_prefix'] = local_prefix
             source['local'] = local
             _hash_check(source['file'], local, config.macros)
@@ -143,43 +144,47 @@
 def _http_parser(source, pathkey, config, opts):
     #
-    # Hack for gitweb.cgi patch downloads. We rewrite the various fields.
-    #
-    if 'gitweb.cgi' in source['url']:
-        url = source['url']
-        if '?' not in url:
-            raise error.general('invalid gitweb.cgi request: %s' % (url))
-        req = url.split('?')[1]
-        if len(req) == 0:
-            raise error.general('invalid gitweb.cgi request: %s' % (url))
-        #
-        # The gitweb.cgi request should have:
-        #    p=<what>
-        #    a=patch
-        #    h=<hash>
-        # so extract the p and h parts to make the local name.
-        #
-        p = None
-        a = None
-        h = None
-        for r in req.split(';'):
-            if '=' not in r:
-                raise error.general('invalid gitweb.cgi path: %s' % (url))
-            rs = r.split('=')
-            if rs[0] == 'p':
-                p = rs[1].replace('.', '-')
-            elif rs[0] == 'a':
-                a = rs[1]
-            elif rs[0] == 'h':
-                h = rs[1]
-        if p is None or h is None:
-            raise error.general('gitweb.cgi path missing p or h: %s' % (url))
-        source['file'] = '%s-%s.patch' % (p, h)
-    #
-    # Check the source file name for any extra request query data and remove if
-    # found. Some hosts do not like file names containing them.
-    #
-    if '?' in source['file']:
-        qmark = source['file'].find('?')
-        source['file'] = source['file'][:qmark]
+    # If the file has not been overrided attempt to recover a possible file name.
+    #
+    if 'file-override' not in source['options']:
+        #
+        # Hack for gitweb.cgi patch downloads. We rewrite the various fields.
+        #
+        if 'gitweb.cgi' in source['url']:
+            url = source['url']
+            if '?' not in url:
+                raise error.general('invalid gitweb.cgi request: %s' % (url))
+            req = url.split('?')[1]
+            if len(req) == 0:
+                raise error.general('invalid gitweb.cgi request: %s' % (url))
+            #
+            # The gitweb.cgi request should have:
+            #    p=<what>
+            #    a=patch
+            #    h=<hash>
+            # so extract the p and h parts to make the local name.
+            #
+            p = None
+            a = None
+            h = None
+            for r in req.split(';'):
+                if '=' not in r:
+                    raise error.general('invalid gitweb.cgi path: %s' % (url))
+                rs = r.split('=')
+                if rs[0] == 'p':
+                    p = rs[1].replace('.', '-')
+                elif rs[0] == 'a':
+                    a = rs[1]
+                elif rs[0] == 'h':
+                    h = rs[1]
+            if p is None or h is None:
+                raise error.general('gitweb.cgi path missing p or h: %s' % (url))
+            source['file'] = '%s-%s.patch' % (p, h)
+        #
+        # Check the source file name for any extra request query data and remove if
+        # found. Some hosts do not like file names containing them.
+        #
+        if '?' in source['file']:
+            qmark = source['file'].find('?')
+            source['file'] = source['file'][:qmark]
     #
     # Check local path
@@ -297,5 +302,5 @@
             'file': _file_parser }
 
-def parse_url(url, pathkey, config, opts):
+def parse_url(url, pathkey, config, opts, file_override = None):
     #
     # Split the source up into the parts we need.
@@ -303,9 +308,19 @@
     source = {}
     source['url'] = url
+    source['options'] = []
     colon = url.find(':')
     if url[colon + 1:colon + 3] != '//':
         raise error.general('malforned URL (no protocol prefix): %s' % (url))
     source['path'] = url[:colon + 3] + path.dirname(url[colon + 3:])
-    source['file'] = path.basename(url)
+    if file_override is None:
+        source['file'] = path.basename(url)
+    else:
+        bad_chars = [c for c in ['/', '\\', '?', '*'] if c in file_override]
+        if len(bad_chars) > 0:
+            raise error.general('bad characters in file name: %s' % (file_override))
+
+        log.output('download: file-override: %s' % (file_override))
+        source['file'] = file_override
+        source['options'] += ['file-override']
     source['name'], source['ext'] = path.splitext(source['file'])
     if source['name'].endswith('.tar'):
@@ -333,5 +348,5 @@
         url = urllib_parse.urljoin(url, config.expand('tarball/%{version}'))
     dst = os.path.relpath(path.host(local))
-    log.output('download: %s -> %s' % (url, dst))
+    log.output('download: (full) %s -> %s' % (url, dst))
     log.notice('download: %s -> %s' % (_sensible_url(url, len(dst)), dst))
     failed = False
@@ -359,4 +374,5 @@
                     _in = urllib_request.urlopen(_req, context = _ssl_context)
                 except:
+                    log.output('download: no ssl context')
                     _ssl_context = None
                 if _ssl_context is None: