Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision a0d2c79a73943e9fd50b518c5b35fee3c2f200c2)
+++ cpukit/ChangeLog	(revision 385b2e235d756db7759a4b0bae97edf3068b23f9)
@@ -1,2 +1,12 @@
+2003-02-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* automake/local.am: Introduce depend-gcc.
+	Remove ${ARCH}.
+	* automake/compile.am: Remove GCCSPECS, GCC_SPECS, CONFIG.CC, CC,
+	CPP. Add ${ARCH}. depend-gcc.
+	* aclocal/prog-cc.m4: Set up RTEMS_CPPFLAGS.
+	* aclocal/env-rtemscpu.m4: Remove GCC_SPECS.
+	* aclocal/env-rtemsbsp.m4: Remove GCC_SPECS.
+
 2003-02-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/aclocal/env-rtemsbsp.m4
===================================================================
--- cpukit/aclocal/env-rtemsbsp.m4	(revision a0d2c79a73943e9fd50b518c5b35fee3c2f200c2)
+++ cpukit/aclocal/env-rtemsbsp.m4	(revision 385b2e235d756db7759a4b0bae97edf3068b23f9)
@@ -35,7 +35,4 @@
 AC_SUBST(RTEMS_ROOT)
 
-GCC_SPECS="-isystem \$(PROJECT_INCLUDE)"
-AC_SUBST(GCC_SPECS)
-
 RTEMS_ENABLE_BARE
 AC_SUBST(BARE_CPU_MODEL)
Index: cpukit/aclocal/env-rtemscpu.m4
===================================================================
--- cpukit/aclocal/env-rtemscpu.m4	(revision a0d2c79a73943e9fd50b518c5b35fee3c2f200c2)
+++ cpukit/aclocal/env-rtemscpu.m4	(revision 385b2e235d756db7759a4b0bae97edf3068b23f9)
@@ -13,7 +13,4 @@
     [MULTISUBDIR="/$with_multisubdir"])
   AC_SUBST(MULTISUBDIR)
-
-  GCC_SPECS="-isystem \$(PROJECT_INCLUDE)"
-  AC_SUBST(GCC_SPECS)
 
   PROJECT_INCLUDE="\$(PROJECT_ROOT)/lib/include"
Index: cpukit/aclocal/prog-cc.m4
===================================================================
--- cpukit/aclocal/prog-cc.m4	(revision a0d2c79a73943e9fd50b518c5b35fee3c2f200c2)
+++ cpukit/aclocal/prog-cc.m4	(revision 385b2e235d756db7759a4b0bae97edf3068b23f9)
@@ -36,4 +36,8 @@
 RTEMS_CFLAGS="$RTEMS_CFLAGS -Wall"
 m4_if([$1],,[],[RTEMS_CFLAGS="$RTEMS_CFLAGS $1"])
+RTEMS_CPPFLAGS="-isystem \$(PROJECT_INCLUDE)"
+else
+RTEMS_CPPFLAGS="-I\$(PROJECT_INCLUDE)"
 fi
+AC_SUBST(RTEMS_CPPFLAGS)
 ])
Index: cpukit/automake/compile.am
===================================================================
--- cpukit/automake/compile.am	(revision a0d2c79a73943e9fd50b518c5b35fee3c2f200c2)
+++ cpukit/automake/compile.am	(revision 385b2e235d756db7759a4b0bae97edf3068b23f9)
@@ -41,14 +41,4 @@
 ## cf. make.info ("Implicit rules/variables" for details)
 
-if RTEMS_USE_GCC
-## All the stuff below is specific to gcc
-## gcc >= 2.8.x
-GCCSPECS = $(GCC_SPECS)
-else
-## fall back to the old style compilers/*.cfg
-## CONFIG.CC is supposed to be provided by <BSP>.cfg
-include $(CONFIG.CC)
-endif # RTEMS_USE_GCC
-
 DEFS = @DEFS@
 
@@ -88,7 +78,8 @@
 #
 
+if RTEMS_USE_GCC
 ## HACK: Specific to gcc
 ## FIXME: The approach below is known to be conceptionally broken.
-depend-am: $(C_FILES) $(CC_FILES) $(S_FILES)
+depend-gcc: $(C_FILES) $(CC_FILES) $(S_FILES)
 ##       Use gcc -M to generate dependencies
 ##       Replace foo.$(OBJEXT) with $(ARCH)/foo.$(OBJEXT)
@@ -99,5 +90,4 @@
 	    -e 's?$(ARCH)/?$$(ARCH)/?'   >$(DEPEND).tmp
 	mv $(DEPEND).tmp $(DEPEND)
-depend: depend-am
 
 # pull in dependencies if they exist  
@@ -105,4 +95,6 @@
 include ${DEPEND}
 @ENDIF@
+endif
+depend: depend-gcc
 
 ## -------------------------------------------------------------------------
@@ -127,4 +119,7 @@
 ARCH__V = $(ARCH_OPTIMIZE_V)
 ARCH = $(ARCH_$(VARIANT_V)_V)
+
+${ARCH}:
+	mkdir ${ARCH}
 
 ## Setup the library suffix
@@ -159,9 +154,4 @@
 
 ## -------------------------------------------------------------------------
-
-CC = @CC@ $(GCCSPECS)
-CPP = @CPP@ $(GCCSPECS)
-
-##
 AM_CPPFLAGS = $(RTEMS_CPPFLAGS)
 AM_CFLAGS =
Index: cpukit/automake/local.am
===================================================================
--- cpukit/automake/local.am	(revision a0d2c79a73943e9fd50b518c5b35fee3c2f200c2)
+++ cpukit/automake/local.am	(revision 385b2e235d756db7759a4b0bae97edf3068b23f9)
@@ -21,10 +21,7 @@
 .PHONY: preinstall preinstall-am
 
-depend-am:
+depend-am: depend-gcc
 depend: depend-am
-.PHONY: depend depend-am
-
-${ARCH}:
-	mkdir ${ARCH}
+.PHONY: depend depend-am depend-gcc
 
 clean-local: